Prompt vulnerability scanners for sites that run on Linux

Of course I used Google and found a great list, but there is a part under Windows, part paid, part not working, and some very bad.
Of adequate I found W3af (http://w3af.sourceforge.net/)

Tell me more good scanners. Minimum requirements — to know how to look for standard vulnerabilities, sarode XSS, SQL-injection and was able to log on under the specified user.
October 3rd 19 at 02:33
2 answers
October 3rd 19 at 02:35
Solution
Put it on a virtual machine or a flash drive BackTrack 5. It contains different utilities for checking for vulnerability, and your requirements.

SQL injections sqlmap can advise. Written in Python is on github.
Yes, BackTrack is good...
There is metasploit framework, and for him eating a GUI Armitage, which is very easy to use.
If too lazy to use this distribution, then download metasploit separately, for Windows too. - Jettie commented on October 3rd 19 at 02:38
Metasploit is good, even very. So I rarely use :) - Pamela.Cummerata27 commented on October 3rd 19 at 02:41
October 3rd 19 at 02:37
sectools.org/tag/web-scanners/ look at this site, icons of sovmestimosti marked.

Find more questions by tags Scanners